Changeset 2207 for stable


Ignore:
Timestamp:
Feb 12, 2016 1:04:26 PM (4 years ago)
Author:
tkr
Message:

Merging r2189:2204 from trunk

Location:
stable/1.16
Files:
9 edited
2 copied

Legend:

Unmodified
Added
Removed
  • stable/1.16

  • stable/1.16/Clp

  • stable/1.16/Clp/Makefile.in

    r2136 r2207  
    187187COIN_HAS_COINUTILS_FALSE = @COIN_HAS_COINUTILS_FALSE@
    188188COIN_HAS_COINUTILS_TRUE = @COIN_HAS_COINUTILS_TRUE@
    189 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    190 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    191189COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    192190COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
    193 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    194 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    195191COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
    196192COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
     
    357353coin_doxy_usedot = @coin_doxy_usedot@
    358354coin_have_doxygen = @coin_have_doxygen@
    359 coin_have_latex = @coin_have_latex@
    360355datadir = @datadir@
    361356exec_prefix = @exec_prefix@
     
    430425# Files that are generated and should be cleaned with make distclean
    431426DISTCLEANFILES = $(am__append_5) $(VPATH_DISTCLEANFILES)
    432 DocFiles = README AUTHORS LICENSE 
     427DocFiles = README AUTHORS LICENSE
    433428DocInstallDir = $(datadir)/coin/doc/$(PACKAGE_NAME)
    434 COIN_HAS_DOXYGEN = @COIN_HAS_DOXYGEN_TRUE@TRUE
    435 COIN_HAS_LATEX = @COIN_HAS_LATEX_TRUE@TRUE
    436429all: all-recursive
    437430
     
    933926        rm -f $(addlibsdir)/clp_addlibs.txt
    934927
    935 doxygen-docs:
    936         if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    937           if test -d "doxydoc/"; then \
    938             doxygen doxydoc/doxygen.conf;\
    939           fi;\
    940         fi
    941 
    942 pdf-doxygen-docs: doxygen-docs
    943         if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    944           if test -d "doxydoc/latex"; then \
    945             if test "$(COIN_HAS_LATEX)" = TRUE; then \
    946               cd doxydoc/latex;\
    947               $(MAKE) pdf;\
    948               cd -;\
    949             fi;\
    950           fi;\
    951         fi
    952 
    953 clean-doxygen-docs:
    954         if test -d "doxydoc/"; then \
    955           cd doxydoc ;\
    956           rm -rf html latex *.log *.tag;\
    957         fi
    958 
    959 install-doxygen-docs: doxygen-docs
    960         if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    961           if test -d "doxydoc/"; then \
    962             test -d "$(DESTDIR)$(DocInstallDir)/doxydoc" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc"; \
    963             $(INSTALL_DATA) @coin_doxy_tagname@ "$(DESTDIR)$(DocInstallDir)/@coin_doxy_tagname@";\
    964             if test -f "doxydoc/latex/refman.pdf"; then \
    965               $(INSTALL_DATA) doxydoc/latex/refman.pdf "$(DESTDIR)$(DocInstallDir)";\
    966             fi;\
    967             if test -d "doxydoc/html"; then \
    968               test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/search/" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc/search/"; \
    969               $(INSTALL_DATA) doxydoc/html/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc";\
    970               $(INSTALL_DATA) doxydoc/html/search/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc/search";\
    971             fi;\
    972           fi;\
    973         fi
    974 
    975 uninstall-doxygen-docs:
    976         if test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/"; then \
    977           rm -rf "$(DESTDIR)$(DocInstallDir)/doxydoc/"; \
    978         fi
    979         if test -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; then \
    980           rm -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; \
    981         fi
    982 
    983 all-doxygen-docs:
    984         for dir in $(subdirs) ; do \
    985           do_project=true;\
    986           for proj in $(COIN_SKIP_DOXYGEN); do\
    987             if test $$dir = $$proj; then\
    988               do_project=false;\
    989             fi;\
    990           done;\
    991           if test -r $$dir/doxydoc & $$do_project = true; then \
    992             (cd $$dir ; $(MAKE) doxygen-docs) \
    993           fi ; \
    994         done ;
    995 
    996 clean-all-doxygen-docs:
    997         for dir in $(subdirs) ; do \
    998           if test -r $$dir/doxydoc ; then \
    999             (cd $$dir ; $(MAKE) clean-doxygen-docs) \
    1000           fi ; \
    1001         done ;
    1002 
    1003 install-all-doxygen-docs: all-doxygen-docs
    1004         for dir in $(subdirs) ; do \
    1005           do_project=true;\
    1006           for proj in $(COIN_SKIP_DOXYGEN); do\
    1007             if test $$dir = $$proj; then\
    1008               do_project=false;\
    1009             fi;\
    1010           done;\
    1011           if test -r $$dir/doxydoc & $$do_project = true; then \
    1012             (cd $$dir ; $(MAKE) install-doxygen-docs) \
    1013           fi ; \
    1014         done ;
    1015 
    1016 uninstall-all-doxygen-docs:
    1017         for dir in $(subdirs) ; do \
    1018           if test -r $$dir/doxydoc ; then \
    1019             (cd $$dir ; $(MAKE) uninstall-doxygen-docs) \
    1020           fi ; \
    1021         done ;
    1022 
    1023 install-doc: $(DocFiles)
     928install-doc: $(DocFiles)
    1024929        test -z "$(DocInstallDir)" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)"
    1025930        for file in $(DocFiles); do \
    1026931          if test -f "$$file"; then dir=; else dir="$(srcdir)/"; fi; \
    1027932          if test -f "$$dir$$file"; then $(INSTALL_DATA) "$$dir$$file" "$(DESTDIR)$(DocInstallDir)/$$file"; fi; \
    1028         done 
     933        done
    1029934
    1030935uninstall-doc:
  • stable/1.16/Clp/configure

    r2180 r2207  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA COINUTILS_DEPENDENCIES COINUTILS_LIBS_INSTALLED COINUTILS_CFLAGS_INSTALLED COINUTILS_DATA_INSTALLED CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_DEPENDENCIES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSI_DEPENDENCIES OSI_LIBS_INSTALLED OSI_CFLAGS_INSTALLED OSI_DATA_INSTALLED OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_DEPENDENCIES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE COIN_HAS_ABC_TRUE COIN_HAS_ABC_FALSE AMDINCDIR AMDLIB COIN_HAS_AMD_TRUE COIN_HAS_AMD_FALSE CHOLMODINCDIR CHOLMODLIB COIN_HAS_CHOLMOD_TRUE COIN_HAS_CHOLMOD_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS MPIF77 FLIBS BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_WSMP_TRUE COIN_HAS_WSMP_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE coin_have_doxygen coin_have_latex coin_doxy_usedot coin_doxy_tagname coin_doxy_logname COIN_HAS_DOXYGEN_TRUE COIN_HAS_DOXYGEN_FALSE COIN_HAS_LATEX_TRUE COIN_HAS_LATEX_FALSE coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA COINUTILS_DEPENDENCIES COINUTILS_LIBS_INSTALLED COINUTILS_CFLAGS_INSTALLED COINUTILS_DATA_INSTALLED CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_DEPENDENCIES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSI_DEPENDENCIES OSI_LIBS_INSTALLED OSI_CFLAGS_INSTALLED OSI_DATA_INSTALLED OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_DEPENDENCIES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE COIN_HAS_ABC_TRUE COIN_HAS_ABC_FALSE AMDINCDIR AMDLIB COIN_HAS_AMD_TRUE COIN_HAS_AMD_FALSE CHOLMODINCDIR CHOLMODLIB COIN_HAS_CHOLMOD_TRUE COIN_HAS_CHOLMOD_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS MPIF77 FLIBS BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_WSMP_TRUE COIN_HAS_WSMP_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11111111                          optimize for fast installation [default=yes]
    11121112  --disable-libtool-lock  avoid locking (might break parallel builds)
    1113   --disable-dependency-linking
    1114                           disable linking library dependencies into shared
    1115                           libraries
    11161113  --disable-pkg-config    disable use of pkg-config (if available)
    11171114  --disable-interpackage-dependencies
     
    40894086fi
    40904087
    4091 # correct the LD variable in a build with MS or Intel-windows compiler
     4088# correct the LD variable in a build with MS or intel compiler
    40924089case "$CXX" in
    40934090  clang* ) ;;
     
    41364133            ;;
    41374134          *gcc*)
    4138             if test x"$enable_dependency_linking" = xyes; then
     4135            if test x"$enable_dependency_linking" = xyes; then
    41394136              coin_disable_shared=no
    41404137            else
     
    58725869*-*-irix6*)
    58735870  # Find out which ABI we are using.
    5874   echo '#line 5874 "configure"' > conftest.$ac_ext
     5871  echo '#line 5871 "configure"' > conftest.$ac_ext
    58755872  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    58765873  (eval $ac_compile) 2>&5
     
    70067003
    70077004# Provide some information about the compiler.
    7008 echo "$as_me:7008:" \
     7005echo "$as_me:7005:" \
    70097006     "checking for Fortran 77 compiler version" >&5
    70107007ac_compiler=`set X $ac_compile; echo $2`
     
    80738070   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80748071   -e 's:$: $lt_compiler_flag:'`
    8075    (eval echo "\"\$as_me:8075: $lt_compile\"" >&5)
     8072   (eval echo "\"\$as_me:8072: $lt_compile\"" >&5)
    80768073   (eval "$lt_compile" 2>conftest.err)
    80778074   ac_status=$?
    80788075   cat conftest.err >&5
    8079    echo "$as_me:8079: \$? = $ac_status" >&5
     8076   echo "$as_me:8076: \$? = $ac_status" >&5
    80808077   if (exit $ac_status) && test -s "$ac_outfile"; then
    80818078     # The compiler can only warn and ignore the option if not recognized
     
    83418338   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83428339   -e 's:$: $lt_compiler_flag:'`
    8343    (eval echo "\"\$as_me:8343: $lt_compile\"" >&5)
     8340   (eval echo "\"\$as_me:8340: $lt_compile\"" >&5)
    83448341   (eval "$lt_compile" 2>conftest.err)
    83458342   ac_status=$?
    83468343   cat conftest.err >&5
    8347    echo "$as_me:8347: \$? = $ac_status" >&5
     8344   echo "$as_me:8344: \$? = $ac_status" >&5
    83488345   if (exit $ac_status) && test -s "$ac_outfile"; then
    83498346     # The compiler can only warn and ignore the option if not recognized
     
    84458442   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84468443   -e 's:$: $lt_compiler_flag:'`
    8447    (eval echo "\"\$as_me:8447: $lt_compile\"" >&5)
     8444   (eval echo "\"\$as_me:8444: $lt_compile\"" >&5)
    84488445   (eval "$lt_compile" 2>out/conftest.err)
    84498446   ac_status=$?
    84508447   cat out/conftest.err >&5
    8451    echo "$as_me:8451: \$? = $ac_status" >&5
     8448   echo "$as_me:8448: \$? = $ac_status" >&5
    84528449   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84538450   then
     
    1079010787  lt_status=$lt_dlunknown
    1079110788  cat > conftest.$ac_ext <<EOF
    10792 #line 10792 "configure"
     10789#line 10789 "configure"
    1079310790#include "confdefs.h"
    1079410791
     
    1089010887  lt_status=$lt_dlunknown
    1089110888  cat > conftest.$ac_ext <<EOF
    10892 #line 10892 "configure"
     10889#line 10889 "configure"
    1089310890#include "confdefs.h"
    1089410891
     
    1323413231   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1323513232   -e 's:$: $lt_compiler_flag:'`
    13236    (eval echo "\"\$as_me:13236: $lt_compile\"" >&5)
     13233   (eval echo "\"\$as_me:13233: $lt_compile\"" >&5)
    1323713234   (eval "$lt_compile" 2>conftest.err)
    1323813235   ac_status=$?
    1323913236   cat conftest.err >&5
    13240    echo "$as_me:13240: \$? = $ac_status" >&5
     13237   echo "$as_me:13237: \$? = $ac_status" >&5
    1324113238   if (exit $ac_status) && test -s "$ac_outfile"; then
    1324213239     # The compiler can only warn and ignore the option if not recognized
     
    1333813335   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1333913336   -e 's:$: $lt_compiler_flag:'`
    13340    (eval echo "\"\$as_me:13340: $lt_compile\"" >&5)
     13337   (eval echo "\"\$as_me:13337: $lt_compile\"" >&5)
    1334113338   (eval "$lt_compile" 2>out/conftest.err)
    1334213339   ac_status=$?
    1334313340   cat out/conftest.err >&5
    13344    echo "$as_me:13344: \$? = $ac_status" >&5
     13341   echo "$as_me:13341: \$? = $ac_status" >&5
    1334513342   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1334613343   then
     
    1490814905   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1490914906   -e 's:$: $lt_compiler_flag:'`
    14910    (eval echo "\"\$as_me:14910: $lt_compile\"" >&5)
     14907   (eval echo "\"\$as_me:14907: $lt_compile\"" >&5)
    1491114908   (eval "$lt_compile" 2>conftest.err)
    1491214909   ac_status=$?
    1491314910   cat conftest.err >&5
    14914    echo "$as_me:14914: \$? = $ac_status" >&5
     14911   echo "$as_me:14911: \$? = $ac_status" >&5
    1491514912   if (exit $ac_status) && test -s "$ac_outfile"; then
    1491614913     # The compiler can only warn and ignore the option if not recognized
     
    1501215009   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1501315010   -e 's:$: $lt_compiler_flag:'`
    15014    (eval echo "\"\$as_me:15014: $lt_compile\"" >&5)
     15011   (eval echo "\"\$as_me:15011: $lt_compile\"" >&5)
    1501515012   (eval "$lt_compile" 2>out/conftest.err)
    1501615013   ac_status=$?
    1501715014   cat out/conftest.err >&5
    15018    echo "$as_me:15018: \$? = $ac_status" >&5
     15015   echo "$as_me:15015: \$? = $ac_status" >&5
    1501915016   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1502015017   then
     
    1721917216   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1722017217   -e 's:$: $lt_compiler_flag:'`
    17221    (eval echo "\"\$as_me:17221: $lt_compile\"" >&5)
     17218   (eval echo "\"\$as_me:17218: $lt_compile\"" >&5)
    1722217219   (eval "$lt_compile" 2>conftest.err)
    1722317220   ac_status=$?
    1722417221   cat conftest.err >&5
    17225    echo "$as_me:17225: \$? = $ac_status" >&5
     17222   echo "$as_me:17222: \$? = $ac_status" >&5
    1722617223   if (exit $ac_status) && test -s "$ac_outfile"; then
    1722717224     # The compiler can only warn and ignore the option if not recognized
     
    1748717484   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1748817485   -e 's:$: $lt_compiler_flag:'`
    17489    (eval echo "\"\$as_me:17489: $lt_compile\"" >&5)
     17486   (eval echo "\"\$as_me:17486: $lt_compile\"" >&5)
    1749017487   (eval "$lt_compile" 2>conftest.err)
    1749117488   ac_status=$?
    1749217489   cat conftest.err >&5
    17493    echo "$as_me:17493: \$? = $ac_status" >&5
     17490   echo "$as_me:17490: \$? = $ac_status" >&5
    1749417491   if (exit $ac_status) && test -s "$ac_outfile"; then
    1749517492     # The compiler can only warn and ignore the option if not recognized
     
    1759117588   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1759217589   -e 's:$: $lt_compiler_flag:'`
    17593    (eval echo "\"\$as_me:17593: $lt_compile\"" >&5)
     17590   (eval echo "\"\$as_me:17590: $lt_compile\"" >&5)
    1759417591   (eval "$lt_compile" 2>out/conftest.err)
    1759517592   ac_status=$?
    1759617593   cat out/conftest.err >&5
    17597    echo "$as_me:17597: \$? = $ac_status" >&5
     17594   echo "$as_me:17594: \$? = $ac_status" >&5
    1759817595   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1759917596   then
     
    2048720484  # On Cygwin and AIX, building DLLs doesn't work
    2048820485  dependency_linking=no
    20489   if test x"$coin_disable_shared" = xno; then
     20486  if test x"$enable_shared" = xyes; then
    2049020487    case $build in
    2049120488      *-cygwin* | *-mingw*)
    2049220489        case "$CC" in
    2049320490          clang* )
    20494             dependency_linking=yes
     20491            dependency_linking=yes
    2049520492            ;;
    2049620493          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    20497             dependency_linking=no
     20494            dependency_linking=no
    2049820495            ;;
    2049920496          *gcc*)
    20500             dependency_linking=yes
     20497            dependency_linking=yes
    2050120498            ;;
    2050220499          *)
    20503             dependency_linking=yes
     20500            dependency_linking=yes
    2050420501            ;;
    2050520502        esac
     
    2492924926
    2493024927# Provide some information about the compiler.
    24931 echo "$as_me:24931:" \
     24928echo "$as_me:24928:" \
    2493224929     "checking for Fortran 77 compiler version" >&5
    2493324930ac_compiler=`set X $ac_compile; echo $2`
     
    2537125368
    2537225369# correct the LD variable if we use the intel fortran compiler in windows
    25373 case $build in
    25374   *-cygwin* | *-mingw*)
    25375     case "$F77" in
    25376       ifort* | */ifort* | IFORT* | */IFORT*)
    25377         LD=link
    25378       ;;
    25379     esac
    25380   ;;
     25370case "$F77" in
     25371  ifort* | */ifort* | IFORT* | */IFORT*)
     25372    LD=link
     25373    ;;
    2538125374esac
    2538225375
     
    2544125434ac_save_FFLAGS=$FFLAGS
    2544225435FFLAGS="$FFLAGS $ac_verb"
    25443 (eval echo $as_me:25443: \"$ac_link\") >&5
     25436(eval echo $as_me:25436: \"$ac_link\") >&5
    2544425437ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2544525438echo "$ac_f77_v_output" >&5
     
    2551925512ac_save_FFLAGS=$FFLAGS
    2552025513FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    25521 (eval echo $as_me:25521: \"$ac_link\") >&5
     25514(eval echo $as_me:25514: \"$ac_link\") >&5
    2552225515ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2552325516echo "$ac_f77_v_output" >&5
     
    3167231665fi
    3167331666
    31674 # Extract the first word of "latex", so it can be a program name with args.
    31675 set dummy latex; ac_word=$2
    31676 echo "$as_me:$LINENO: checking for $ac_word" >&5
    31677 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    31678 if test "${ac_cv_prog_coin_have_latex+set}" = set; then
    31679   echo $ECHO_N "(cached) $ECHO_C" >&6
    31680 else
    31681   if test -n "$coin_have_latex"; then
    31682   ac_cv_prog_coin_have_latex="$coin_have_latex" # Let the user override the test.
    31683 else
    31684 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    31685 for as_dir in $PATH
    31686 do
    31687   IFS=$as_save_IFS
    31688   test -z "$as_dir" && as_dir=.
    31689   for ac_exec_ext in '' $ac_executable_extensions; do
    31690   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    31691     ac_cv_prog_coin_have_latex="yes"
    31692     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    31693     break 2
    31694   fi
    31695 done
    31696 done
    31697 
    31698   test -z "$ac_cv_prog_coin_have_latex" && ac_cv_prog_coin_have_latex="no"
    31699 fi
    31700 fi
    31701 coin_have_latex=$ac_cv_prog_coin_have_latex
    31702 if test -n "$coin_have_latex"; then
    31703   echo "$as_me:$LINENO: result: $coin_have_latex" >&5
    31704 echo "${ECHO_T}$coin_have_latex" >&6
    31705 else
    31706   echo "$as_me:$LINENO: result: no" >&5
    31707 echo "${ECHO_T}no" >&6
    31708 fi
    31709 
    3171031667
    3171131668# Look for the dot tool from the graphviz package, unless the user has
     
    3177231729
    3177331730
    31774 
    31775 if test $coin_have_doxygen = yes; then
    31776   COIN_HAS_DOXYGEN_TRUE=
    31777   COIN_HAS_DOXYGEN_FALSE='#'
    31778 else
    31779   COIN_HAS_DOXYGEN_TRUE='#'
    31780   COIN_HAS_DOXYGEN_FALSE=
    31781 fi
    31782 
    31783 
    31784 
    31785 if test $coin_have_latex = yes; then
    31786   COIN_HAS_LATEX_TRUE=
    31787   COIN_HAS_LATEX_FALSE='#'
    31788 else
    31789   COIN_HAS_LATEX_TRUE='#'
    31790   COIN_HAS_LATEX_FALSE=
    31791 fi
    31792 
    31793 
    3179431731# Process the list of project names and massage them into possible doxygen
    3179531732# doc'n directories. Prefer 1) classic external, source processed using
     
    3181131748  doxytag=${lc_proj}_doxy.tag
    3181231749  doxyfound=no
    31813   # proj will be configured, hence doxydoc present in build tree
    31814   doxysrcdir="${srcdir}/../${proj}"
    31815   # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
    31816   if test -d "$doxysrcdir" ; then
    31817     # with a doxydoc directory?
    31818     doxydir="$doxysrcdir/doxydoc"
    31819     # AC_MSG_NOTICE([Considering $doxydir (base)])
    31820     # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
    31821     if test -d "$doxydir" ; then
    31822       # use tag file; don't process source
    31823       doxydir="../${proj}/doxydoc"
    31824       coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=../../$doxydir/html"
    31825       echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
     31750  for chkProj in $coin_subdirs ; do
     31751    if test "$chkProj" = "$proj" ; then
     31752      # proj will be configured, hence doxydoc present in build tree
     31753      doxysrcdir="${srcdir}/${proj}"
     31754      # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
     31755      if test -d "$doxysrcdir" ; then
     31756        # with a doxydoc directory?
     31757        doxydir="$doxysrcdir/doxydoc"
     31758        # AC_MSG_NOTICE([Considering $doxydir (base)])
     31759        # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
     31760        if test -d "$doxydir" ; then
     31761          # use tag file; don't process source
     31762          eval doxydir="`pwd`/${proj}/doxydoc"
     31763          coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=$doxydir/html"
     31764          echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
    3182631765echo "${ECHO_T}$doxydir (tag)" >&6
    31827       coin_doxy_excludes="$coin_doxy_excludes */${proj}"
    31828     else
    31829       # will process the source -- nothing further to be done here
    31830       echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
     31766          coin_doxy_excludes="$coin_doxy_excludes */${proj}"
     31767        else
     31768          # will process the source -- nothing further to be done here
     31769          echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
    3183131770echo "${ECHO_T}$doxysrcdir (src)" >&6
     31771        fi
     31772        doxyfound=yes
     31773      fi
    3183231774    fi
    31833     doxyfound=yes
    31834   fi
     31775  done
    3183531776  # Not built, fall back to installed tag file
    3183631777  if test $doxyfound = no ; then
     
    3227232213Usually this means the macro was only invoked conditionally." >&5
    3227332214echo "$as_me: error: conditional \"COIN_HAS_ASL\" was never defined.
    32274 Usually this means the macro was only invoked conditionally." >&2;}
    32275    { (exit 1); exit 1; }; }
    32276 fi
    32277 if test -z "${COIN_HAS_DOXYGEN_TRUE}" && test -z "${COIN_HAS_DOXYGEN_FALSE}"; then
    32278   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
    32279 Usually this means the macro was only invoked conditionally." >&5
    32280 echo "$as_me: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
    32281 Usually this means the macro was only invoked conditionally." >&2;}
    32282    { (exit 1); exit 1; }; }
    32283 fi
    32284 if test -z "${COIN_HAS_LATEX_TRUE}" && test -z "${COIN_HAS_LATEX_FALSE}"; then
    32285   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_LATEX\" was never defined.
    32286 Usually this means the macro was only invoked conditionally." >&5
    32287 echo "$as_me: error: conditional \"COIN_HAS_LATEX\" was never defined.
    3228832215Usually this means the macro was only invoked conditionally." >&2;}
    3228932216   { (exit 1); exit 1; }; }
     
    3305532982s,@COIN_HAS_ASL_FALSE@,$COIN_HAS_ASL_FALSE,;t t
    3305632983s,@coin_have_doxygen@,$coin_have_doxygen,;t t
    33057 s,@coin_have_latex@,$coin_have_latex,;t t
    3305832984s,@coin_doxy_usedot@,$coin_doxy_usedot,;t t
    3305932985s,@coin_doxy_tagname@,$coin_doxy_tagname,;t t
    3306032986s,@coin_doxy_logname@,$coin_doxy_logname,;t t
    33061 s,@COIN_HAS_DOXYGEN_TRUE@,$COIN_HAS_DOXYGEN_TRUE,;t t
    33062 s,@COIN_HAS_DOXYGEN_FALSE@,$COIN_HAS_DOXYGEN_FALSE,;t t
    33063 s,@COIN_HAS_LATEX_TRUE@,$COIN_HAS_LATEX_TRUE,;t t
    33064 s,@COIN_HAS_LATEX_FALSE@,$COIN_HAS_LATEX_FALSE,;t t
    3306532987s,@coin_doxy_tagfiles@,$coin_doxy_tagfiles,;t t
    3306632988s,@coin_doxy_excludes@,$coin_doxy_excludes,;t t
  • stable/1.16/Clp/src/Makefile.in

    r2136 r2207  
    380380COIN_HAS_COINUTILS_FALSE = @COIN_HAS_COINUTILS_FALSE@
    381381COIN_HAS_COINUTILS_TRUE = @COIN_HAS_COINUTILS_TRUE@
    382 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    383 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    384382COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    385383COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
    386 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    387 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    388384COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
    389385COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
     
    550546coin_doxy_usedot = @coin_doxy_usedot@
    551547coin_have_doxygen = @coin_have_doxygen@
    552 coin_have_latex = @coin_have_latex@
    553548datadir = @datadir@
    554549exec_prefix = @exec_prefix@
  • stable/1.16/Clp/src/OsiClp/Makefile.in

    r2136 r2207  
    165165COIN_HAS_COINUTILS_FALSE = @COIN_HAS_COINUTILS_FALSE@
    166166COIN_HAS_COINUTILS_TRUE = @COIN_HAS_COINUTILS_TRUE@
    167 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    168 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    169167COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    170168COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
    171 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    172 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    173169COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
    174170COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
     
    335331coin_doxy_usedot = @coin_doxy_usedot@
    336332coin_have_doxygen = @coin_have_doxygen@
    337 coin_have_latex = @coin_have_latex@
    338333datadir = @datadir@
    339334exec_prefix = @exec_prefix@
  • stable/1.16/Clp/test/Makefile.in

    r2136 r2207  
    153153COIN_HAS_COINUTILS_FALSE = @COIN_HAS_COINUTILS_FALSE@
    154154COIN_HAS_COINUTILS_TRUE = @COIN_HAS_COINUTILS_TRUE@
    155 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    156 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    157155COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    158156COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
    159 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    160 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    161157COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
    162158COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
     
    323319coin_doxy_usedot = @coin_doxy_usedot@
    324320coin_have_doxygen = @coin_have_doxygen@
    325 coin_have_latex = @coin_have_latex@
    326321datadir = @datadir@
    327322exec_prefix = @exec_prefix@
  • stable/1.16/Makefile.in

    r2136 r2207  
    114114COIN_CXX_IS_CL_FALSE = @COIN_CXX_IS_CL_FALSE@
    115115COIN_CXX_IS_CL_TRUE = @COIN_CXX_IS_CL_TRUE@
    116 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    117 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    118 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    119 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    120116COIN_SKIP_PROJECTS = @COIN_SKIP_PROJECTS@
    121117CPP = @CPP@
     
    215211coin_doxy_usedot = @coin_doxy_usedot@
    216212coin_have_doxygen = @coin_have_doxygen@
    217 coin_have_latex = @coin_have_latex@
    218213datadir = @datadir@
    219214exec_prefix = @exec_prefix@
     
    261256DISTCLEANFILES = coin_subdirs.txt $(am__append_2) \
    262257        $(VPATH_DISTCLEANFILES)
    263 DocFiles = README AUTHORS LICENSE 
     258DocFiles = README AUTHORS LICENSE
    264259DocInstallDir = $(datadir)/coin/doc/$(PACKAGE_NAME)
    265 COIN_HAS_DOXYGEN = @COIN_HAS_DOXYGEN_TRUE@TRUE
    266 COIN_HAS_LATEX = @COIN_HAS_LATEX_TRUE@TRUE
    267260all: all-recursive
    268261
     
    740733.PHONY: test unitTest tests unitTests doxydoc
    741734
    742 doxygen-docs:
    743         if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    744           if test -d "doxydoc/"; then \
    745             doxygen doxydoc/doxygen.conf;\
    746           fi;\
    747         fi
    748 
    749 pdf-doxygen-docs: doxygen-docs
    750         if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    751           if test -d "doxydoc/latex"; then \
    752             if test "$(COIN_HAS_LATEX)" = TRUE; then \
    753               cd doxydoc/latex;\
    754               $(MAKE) pdf;\
    755               cd -;\
    756             fi;\
    757           fi;\
    758         fi
    759 
    760 clean-doxygen-docs:
    761         if test -d "doxydoc/"; then \
    762           cd doxydoc ;\
    763           rm -rf html latex *.log *.tag;\
    764         fi
    765 
    766 install-doxygen-docs: doxygen-docs
    767         if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    768           if test -d "doxydoc/"; then \
    769             test -d "$(DESTDIR)$(DocInstallDir)/doxydoc" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc"; \
    770             $(INSTALL_DATA) @coin_doxy_tagname@ "$(DESTDIR)$(DocInstallDir)/@coin_doxy_tagname@";\
    771             if test -f "doxydoc/latex/refman.pdf"; then \
    772               $(INSTALL_DATA) doxydoc/latex/refman.pdf "$(DESTDIR)$(DocInstallDir)";\
    773             fi;\
    774             if test -d "doxydoc/html"; then \
    775               test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/search/" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc/search/"; \
    776               $(INSTALL_DATA) doxydoc/html/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc";\
    777               $(INSTALL_DATA) doxydoc/html/search/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc/search";\
    778             fi;\
    779           fi;\
    780         fi
    781 
    782 uninstall-doxygen-docs:
    783         if test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/"; then \
    784           rm -rf "$(DESTDIR)$(DocInstallDir)/doxydoc/"; \
    785         fi
    786         if test -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; then \
    787           rm -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; \
    788         fi
    789 
    790 all-doxygen-docs:
    791         for dir in $(subdirs) ; do \
    792           do_project=true;\
    793           for proj in $(COIN_SKIP_DOXYGEN); do\
    794             if test $$dir = $$proj; then\
    795               do_project=false;\
    796             fi;\
    797           done;\
    798           if test -r $$dir/doxydoc & $$do_project = true; then \
    799             (cd $$dir ; $(MAKE) doxygen-docs) \
    800           fi ; \
    801         done ;
    802 
    803 clean-all-doxygen-docs:
    804         for dir in $(subdirs) ; do \
    805           if test -r $$dir/doxydoc ; then \
    806             (cd $$dir ; $(MAKE) clean-doxygen-docs) \
    807           fi ; \
    808         done ;
    809 
    810 install-all-doxygen-docs: all-doxygen-docs
    811         for dir in $(subdirs) ; do \
    812           do_project=true;\
    813           for proj in $(COIN_SKIP_DOXYGEN); do\
    814             if test $$dir = $$proj; then\
    815               do_project=false;\
    816             fi;\
    817           done;\
    818           if test -r $$dir/doxydoc & $$do_project = true; then \
    819             (cd $$dir ; $(MAKE) install-doxygen-docs) \
    820           fi ; \
    821         done ;
    822 
    823 uninstall-all-doxygen-docs:
    824         for dir in $(subdirs) ; do \
    825           if test -r $$dir/doxydoc ; then \
    826             (cd $$dir ; $(MAKE) uninstall-doxygen-docs) \
    827           fi ; \
    828         done ;
    829 
    830 install-doc: $(DocFiles)
     735install-doc: $(DocFiles)
    831736        test -z "$(DocInstallDir)" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)"
    832737        for file in $(DocFiles); do \
    833738          if test -f "$$file"; then dir=; else dir="$(srcdir)/"; fi; \
    834739          if test -f "$$dir$$file"; then $(INSTALL_DATA) "$$dir$$file" "$(DESTDIR)$(DocInstallDir)/$$file"; fi; \
    835         done 
     740        done
    836741
    837742uninstall-doc:
  • stable/1.16/configure

    r2180 r2207  
    485485ac_subdirs_all="$ac_subdirs_all Osi"
    486486ac_subdirs_all="$ac_subdirs_all Clp"
    487 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_have_latex coin_doxy_usedot coin_doxy_tagname coin_doxy_logname COIN_HAS_DOXYGEN_TRUE COIN_HAS_DOXYGEN_FALSE COIN_HAS_LATEX_TRUE COIN_HAS_LATEX_FALSE coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     487ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    488488ac_subst_files=''
    489489
     
    11221122                          optimize for fast installation [default=yes]
    11231123  --disable-libtool-lock  avoid locking (might break parallel builds)
    1124   --disable-dependency-linking
    1125                           disable linking library dependencies into shared
    1126                           libraries
    11271124
    11281125Optional Packages:
     
    39253922fi
    39263923
    3927 # correct the LD variable in a build with MS or Intel-windows compiler
     3924# correct the LD variable in a build with MS or intel compiler
    39283925case "$CXX" in
    39293926  clang* ) ;;
     
    41694166
    41704167# Provide some information about the compiler.
    4171 echo "$as_me:4171:" \
     4168echo "$as_me:4168:" \
    41724169     "checking for Fortran 77 compiler version" >&5
    41734170ac_compiler=`set X $ac_compile; echo $2`
     
    46114608
    46124609# correct the LD variable if we use the intel fortran compiler in windows
    4613 case $build in
    4614   *-cygwin* | *-mingw*)
    4615     case "$F77" in
    4616       ifort* | */ifort* | IFORT* | */IFORT*)
    4617         LD=link
    4618       ;;
    4619     esac
    4620   ;;
     4610case "$F77" in
     4611  ifort* | */ifort* | IFORT* | */IFORT*)
     4612    LD=link
     4613    ;;
    46214614esac
    46224615
     
    46614654            ;;
    46624655          *gcc*)
    4663             if test x"$enable_dependency_linking" = xyes; then
     4656            if test x"$enable_dependency_linking" = xyes; then
    46644657              coin_disable_shared=no
    46654658            else
     
    63976390*-*-irix6*)
    63986391  # Find out which ABI we are using.
    6399   echo '#line 6399 "configure"' > conftest.$ac_ext
     6392  echo '#line 6392 "configure"' > conftest.$ac_ext
    64006393  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64016394  (eval $ac_compile) 2>&5
     
    83618354   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83628355   -e 's:$: $lt_compiler_flag:'`
    8363    (eval echo "\"\$as_me:8363: $lt_compile\"" >&5)
     8356   (eval echo "\"\$as_me:8356: $lt_compile\"" >&5)
    83648357   (eval "$lt_compile" 2>conftest.err)
    83658358   ac_status=$?
    83668359   cat conftest.err >&5
    8367    echo "$as_me:8367: \$? = $ac_status" >&5
     8360   echo "$as_me:8360: \$? = $ac_status" >&5
    83688361   if (exit $ac_status) && test -s "$ac_outfile"; then
    83698362     # The compiler can only warn and ignore the option if not recognized
     
    86298622   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86308623   -e 's:$: $lt_compiler_flag:'`
    8631    (eval echo "\"\$as_me:8631: $lt_compile\"" >&5)
     8624   (eval echo "\"\$as_me:8624: $lt_compile\"" >&5)
    86328625   (eval "$lt_compile" 2>conftest.err)
    86338626   ac_status=$?
    86348627   cat conftest.err >&5
    8635    echo "$as_me:8635: \$? = $ac_status" >&5
     8628   echo "$as_me:8628: \$? = $ac_status" >&5
    86368629   if (exit $ac_status) && test -s "$ac_outfile"; then
    86378630     # The compiler can only warn and ignore the option if not recognized
     
    87338726   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87348727   -e 's:$: $lt_compiler_flag:'`
    8735    (eval echo "\"\$as_me:8735: $lt_compile\"" >&5)
     8728   (eval echo "\"\$as_me:8728: $lt_compile\"" >&5)
    87368729   (eval "$lt_compile" 2>out/conftest.err)
    87378730   ac_status=$?
    87388731   cat out/conftest.err >&5
    8739    echo "$as_me:8739: \$? = $ac_status" >&5
     8732   echo "$as_me:8732: \$? = $ac_status" >&5
    87408733   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87418734   then
     
    1107811071  lt_status=$lt_dlunknown
    1107911072  cat > conftest.$ac_ext <<EOF
    11080 #line 11080 "configure"
     11073#line 11073 "configure"
    1108111074#include "confdefs.h"
    1108211075
     
    1117811171  lt_status=$lt_dlunknown
    1117911172  cat > conftest.$ac_ext <<EOF
    11180 #line 11180 "configure"
     11173#line 11173 "configure"
    1118111174#include "confdefs.h"
    1118211175
     
    1352213515   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1352313516   -e 's:$: $lt_compiler_flag:'`
    13524    (eval echo "\"\$as_me:13524: $lt_compile\"" >&5)
     13517   (eval echo "\"\$as_me:13517: $lt_compile\"" >&5)
    1352513518   (eval "$lt_compile" 2>conftest.err)
    1352613519   ac_status=$?
    1352713520   cat conftest.err >&5
    13528    echo "$as_me:13528: \$? = $ac_status" >&5
     13521   echo "$as_me:13521: \$? = $ac_status" >&5
    1352913522   if (exit $ac_status) && test -s "$ac_outfile"; then
    1353013523     # The compiler can only warn and ignore the option if not recognized
     
    1362613619   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1362713620   -e 's:$: $lt_compiler_flag:'`
    13628    (eval echo "\"\$as_me:13628: $lt_compile\"" >&5)
     13621   (eval echo "\"\$as_me:13621: $lt_compile\"" >&5)
    1362913622   (eval "$lt_compile" 2>out/conftest.err)
    1363013623   ac_status=$?
    1363113624   cat out/conftest.err >&5
    13632    echo "$as_me:13632: \$? = $ac_status" >&5
     13625   echo "$as_me:13625: \$? = $ac_status" >&5
    1363313626   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1363413627   then
     
    1519615189   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1519715190   -e 's:$: $lt_compiler_flag:'`
    15198    (eval echo "\"\$as_me:15198: $lt_compile\"" >&5)
     15191   (eval echo "\"\$as_me:15191: $lt_compile\"" >&5)
    1519915192   (eval "$lt_compile" 2>conftest.err)
    1520015193   ac_status=$?
    1520115194   cat conftest.err >&5
    15202    echo "$as_me:15202: \$? = $ac_status" >&5
     15195   echo "$as_me:15195: \$? = $ac_status" >&5
    1520315196   if (exit $ac_status) && test -s "$ac_outfile"; then
    1520415197     # The compiler can only warn and ignore the option if not recognized
     
    1530015293   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1530115294   -e 's:$: $lt_compiler_flag:'`
    15302    (eval echo "\"\$as_me:15302: $lt_compile\"" >&5)
     15295   (eval echo "\"\$as_me:15295: $lt_compile\"" >&5)
    1530315296   (eval "$lt_compile" 2>out/conftest.err)
    1530415297   ac_status=$?
    1530515298   cat out/conftest.err >&5
    15306    echo "$as_me:15306: \$? = $ac_status" >&5
     15299   echo "$as_me:15299: \$? = $ac_status" >&5
    1530715300   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1530815301   then
     
    1750717500   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1750817501   -e 's:$: $lt_compiler_flag:'`
    17509    (eval echo "\"\$as_me:17509: $lt_compile\"" >&5)
     17502   (eval echo "\"\$as_me:17502: $lt_compile\"" >&5)
    1751017503   (eval "$lt_compile" 2>conftest.err)
    1751117504   ac_status=$?
    1751217505   cat conftest.err >&5
    17513    echo "$as_me:17513: \$? = $ac_status" >&5
     17506   echo "$as_me:17506: \$? = $ac_status" >&5
    1751417507   if (exit $ac_status) && test -s "$ac_outfile"; then
    1751517508     # The compiler can only warn and ignore the option if not recognized
     
    1777517768   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1777617769   -e 's:$: $lt_compiler_flag:'`
    17777    (eval echo "\"\$as_me:17777: $lt_compile\"" >&5)
     17770   (eval echo "\"\$as_me:17770: $lt_compile\"" >&5)
    1777817771   (eval "$lt_compile" 2>conftest.err)
    1777917772   ac_status=$?
    1778017773   cat conftest.err >&5
    17781    echo "$as_me:17781: \$? = $ac_status" >&5
     17774   echo "$as_me:17774: \$? = $ac_status" >&5
    1778217775   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778317776     # The compiler can only warn and ignore the option if not recognized
     
    1787917872   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1788017873   -e 's:$: $lt_compiler_flag:'`
    17881    (eval echo "\"\$as_me:17881: $lt_compile\"" >&5)
     17874   (eval echo "\"\$as_me:17874: $lt_compile\"" >&5)
    1788217875   (eval "$lt_compile" 2>out/conftest.err)
    1788317876   ac_status=$?
    1788417877   cat out/conftest.err >&5
    17885    echo "$as_me:17885: \$? = $ac_status" >&5
     17878   echo "$as_me:17878: \$? = $ac_status" >&5
    1788617879   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1788717880   then
     
    2077520768  # On Cygwin and AIX, building DLLs doesn't work
    2077620769  dependency_linking=no
    20777   if test x"$coin_disable_shared" = xno; then
     20770  if test x"$enable_shared" = xyes; then
    2077820771    case $build in
    2077920772      *-cygwin* | *-mingw*)
    2078020773        case "$CC" in
    2078120774          clang* )
    20782             dependency_linking=yes
     20775            dependency_linking=yes
    2078320776            ;;
    2078420777          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    20785             dependency_linking=no
     20778            dependency_linking=no
    2078620779            ;;
    2078720780          *gcc*)
    20788             dependency_linking=yes
     20781            dependency_linking=yes
    2078920782            ;;
    2079020783          *)
    20791             dependency_linking=yes
     20784            dependency_linking=yes
    2079220785            ;;
    2079320786        esac
     
    2223322226fi
    2223422227
    22235 # Extract the first word of "latex", so it can be a program name with args.
    22236 set dummy latex; ac_word=$2
    22237 echo "$as_me:$LINENO: checking for $ac_word" >&5
    22238 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    22239 if test "${ac_cv_prog_coin_have_latex+set}" = set; then
    22240   echo $ECHO_N "(cached) $ECHO_C" >&6
    22241 else
    22242   if test -n "$coin_have_latex"; then
    22243   ac_cv_prog_coin_have_latex="$coin_have_latex" # Let the user override the test.
    22244 else
    22245 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    22246 for as_dir in $PATH
    22247 do
    22248   IFS=$as_save_IFS
    22249   test -z "$as_dir" && as_dir=.
    22250   for ac_exec_ext in '' $ac_executable_extensions; do
    22251   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    22252     ac_cv_prog_coin_have_latex="yes"
    22253     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    22254     break 2
    22255   fi
    22256 done
    22257 done
    22258 
    22259   test -z "$ac_cv_prog_coin_have_latex" && ac_cv_prog_coin_have_latex="no"
    22260 fi
    22261 fi
    22262 coin_have_latex=$ac_cv_prog_coin_have_latex
    22263 if test -n "$coin_have_latex"; then
    22264   echo "$as_me:$LINENO: result: $coin_have_latex" >&5
    22265 echo "${ECHO_T}$coin_have_latex" >&6
    22266 else
    22267   echo "$as_me:$LINENO: result: no" >&5
    22268 echo "${ECHO_T}no" >&6
    22269 fi
    22270 
    2227122228
    2227222229# Look for the dot tool from the graphviz package, unless the user has
     
    2233322290
    2233422291
    22335 
    22336 if test $coin_have_doxygen = yes; then
    22337   COIN_HAS_DOXYGEN_TRUE=
    22338   COIN_HAS_DOXYGEN_FALSE='#'
    22339 else
    22340   COIN_HAS_DOXYGEN_TRUE='#'
    22341   COIN_HAS_DOXYGEN_FALSE=
    22342 fi
    22343 
    22344 
    22345 
    22346 if test $coin_have_latex = yes; then
    22347   COIN_HAS_LATEX_TRUE=
    22348   COIN_HAS_LATEX_FALSE='#'
    22349 else
    22350   COIN_HAS_LATEX_TRUE='#'
    22351   COIN_HAS_LATEX_FALSE=
    22352 fi
    22353 
    22354 
    2235522292# Process the list of project names and massage them into possible doxygen
    2235622293# doc'n directories. Prefer 1) classic external, source processed using
     
    2237222309  doxytag=${lc_proj}_doxy.tag
    2237322310  doxyfound=no
    22374   # proj will be configured, hence doxydoc present in build tree
    22375   doxysrcdir="${srcdir}/../${proj}"
    22376   # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
    22377   if test -d "$doxysrcdir" ; then
    22378     # with a doxydoc directory?
    22379     doxydir="$doxysrcdir/doxydoc"
    22380     # AC_MSG_NOTICE([Considering $doxydir (base)])
    22381     # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
    22382     if test -d "$doxydir" ; then
    22383       # use tag file; don't process source
    22384       doxydir="../${proj}/doxydoc"
    22385       coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=../../$doxydir/html"
    22386       echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
     22311  for chkProj in $coin_subdirs ; do
     22312    if test "$chkProj" = "$proj" ; then
     22313      # proj will be configured, hence doxydoc present in build tree
     22314      doxysrcdir="${srcdir}/${proj}"
     22315      # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
     22316      if test -d "$doxysrcdir" ; then
     22317        # with a doxydoc directory?
     22318        doxydir="$doxysrcdir/doxydoc"
     22319        # AC_MSG_NOTICE([Considering $doxydir (base)])
     22320        # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
     22321        if test -d "$doxydir" ; then
     22322          # use tag file; don't process source
     22323          eval doxydir="`pwd`/${proj}/doxydoc"
     22324          coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=$doxydir/html"
     22325          echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
    2238722326echo "${ECHO_T}$doxydir (tag)" >&6
    22388       coin_doxy_excludes="$coin_doxy_excludes */${proj}"
    22389     else
    22390       # will process the source -- nothing further to be done here
    22391       echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
     22327          coin_doxy_excludes="$coin_doxy_excludes */${proj}"
     22328        else
     22329          # will process the source -- nothing further to be done here
     22330          echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
    2239222331echo "${ECHO_T}$doxysrcdir (src)" >&6
     22332        fi
     22333        doxyfound=yes
     22334      fi
    2239322335    fi
    22394     doxyfound=yes
    22395   fi
     22336  done
    2239622337  # Not built, fall back to installed tag file
    2239722338  if test $doxyfound = no ; then
     
    2265822599Usually this means the macro was only invoked conditionally." >&5
    2265922600echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
    22660 Usually this means the macro was only invoked conditionally." >&2;}
    22661    { (exit 1); exit 1; }; }
    22662 fi
    22663 if test -z "${COIN_HAS_DOXYGEN_TRUE}" && test -z "${COIN_HAS_DOXYGEN_FALSE}"; then
    22664   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
    22665 Usually this means the macro was only invoked conditionally." >&5
    22666 echo "$as_me: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
    22667 Usually this means the macro was only invoked conditionally." >&2;}
    22668    { (exit 1); exit 1; }; }
    22669 fi
    22670 if test -z "${COIN_HAS_LATEX_TRUE}" && test -z "${COIN_HAS_LATEX_FALSE}"; then
    22671   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_LATEX\" was never defined.
    22672 Usually this means the macro was only invoked conditionally." >&5
    22673 echo "$as_me: error: conditional \"COIN_HAS_LATEX\" was never defined.
    2267422601Usually this means the macro was only invoked conditionally." >&2;}
    2267522602   { (exit 1); exit 1; }; }
     
    2330923236s,@subdirs@,$subdirs,;t t
    2331023237s,@coin_have_doxygen@,$coin_have_doxygen,;t t
    23311 s,@coin_have_latex@,$coin_have_latex,;t t
    2331223238s,@coin_doxy_usedot@,$coin_doxy_usedot,;t t
    2331323239s,@coin_doxy_tagname@,$coin_doxy_tagname,;t t
    2331423240s,@coin_doxy_logname@,$coin_doxy_logname,;t t
    23315 s,@COIN_HAS_DOXYGEN_TRUE@,$COIN_HAS_DOXYGEN_TRUE,;t t
    23316 s,@COIN_HAS_DOXYGEN_FALSE@,$COIN_HAS_DOXYGEN_FALSE,;t t
    23317 s,@COIN_HAS_LATEX_TRUE@,$COIN_HAS_LATEX_TRUE,;t t
    23318 s,@COIN_HAS_LATEX_FALSE@,$COIN_HAS_LATEX_FALSE,;t t
    2331923241s,@coin_doxy_tagfiles@,$coin_doxy_tagfiles,;t t
    2332023242s,@coin_doxy_excludes@,$coin_doxy_excludes,;t t
Note: See TracChangeset for help on using the changeset viewer.